# Maintainer: Keegan Milsten <rebornos@protonmail.com>

pkgname="rebornos-fire"
_pkgname="rebornos-fire"
pkgver=5.8
_pkgver=5.8
pkgrel=1.5
pkgdesc='FIRE: Features & Improvements in RebornOS made Easy. That pretty much says it all! This application offers unique features, as well as improvements
to other features that are often either available only for the seasoned Linux user or for command line use - and makes them easy for you to use with the click of a button.'
url='https://gitlab.com/rebornos-team/rebornos-special-system-files/rebornos-fire-mod'
arch=('any')
license=('GPL3')
depends=('sudo' 'libnotify' 'reflector' 'git' 'vte-common' 'vte3' 'xorg-font-util' 'xorg-server-xephyr' 'xterm')
source=("./${_pkgname}.tar.gz")
install=schema.install

package() {
    cd "${srcdir}"

    install -D -m 755 rebornos-fire.desktop \
    	 "${pkgdir}/usr/share/applications/rebornos-fire.desktop"

    install -D -m 644 ${srcdir}/Images/rebornos-fire.svg \
    	 "${pkgdir}/usr/share/icons/default/rebornos-fire.svg"

    for i in $(ls); do
          if [ "$i" != "Screenshots" ] && [ "$i" != "schema.install" ] && [ "$i" != "PKGBUILD" ] && [ "$i" != "rebornos-fire.tar.gz" ] && [ "$i" != ".git" ]; then
                cp -rf ${i} "${pkgdir}/usr/share/FIRE/"
          fi
          # Above if statement for some reason causes $(ls) to not copy over Bash directory
          if [ "$i" == "Bash" ]; then
                cp -rf ${i} "${pkgdir}/usr/share/FIRE/"
          fi
    done
    # $(ls) also seems to add some files that belong in directories
    rm -f "${pkgdir}/usr/share/FIRE/Maintenance.sh"
    rm -f "${pkgdir}/usr/share/FIRE/StartupChecks.sh"

    chmod -R 777 "${pkgdir}/usr/share/FIRE/"
}
md5sums=('47ca6adc46ec1d408f68350f6b98ee08')
